Bug 67467 - apacheconf requires apache, not webserver
Summary: apacheconf requires apache, not webserver
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: apacheconf (Show other bugs)
(Show other bugs)
Version: 8.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Jonathan Blandford
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-06-25 19:37 UTC by Ben Levenson
Modified: 2013-04-02 04:16 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-27 15:08:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ben Levenson 2002-06-25 19:37:31 UTC
Description of Problem:
# rpm -qpR apacheconf-0.9.0-1.noarch.rpm
python >= 2.2
<snip>
apache
<snip>
/bin/sh

# rpm -q rpmdb-redhat
rpmdb-redhat-7.3.91-0.20020625

# rpm -qp --provides httpd-2.0.36-4.i386.rpm
webserver
<snip>
httpd = 2.0.36-4


Version-Release number of selected component (if applicable):
apacheconf-0.9.0-1.noarch.rpm
httpd-2.0.36-4.i386.rpm

Additional Information:
Should httpd provide apache, or should apacheconf require webserver ....

Comment 1 Phil Knirsch 2002-06-26 07:19:03 UTC
Questions over questions.

The thing is, apacheconf up to now only does old style httpd.conf files, so it
should actually require apache.

OTOH if it can do both, it should require webserver.

Last but not least, if we decide it to only support 2.0 it should require httpd.

Tricky.

Will think about it. :)

Read ya, Phil

Comment 2 Ben Levenson 2002-07-02 17:18:21 UTC
apacheconf-0.9.0-2 requires httpd.
So, should apacheconf be renamed to "httpdconf", or "redhat-config-httpd"?

Comment 3 Phil Knirsch 2003-01-27 15:08:54 UTC
OK, all the name changes have been done.

Closing this bug now.

Read ya, Phil


Note You need to log in before you can comment on or make changes to this bug.